import { CacheHandler, InvalidateConfig, ISRHandlerConfig, RenderConfig, ServeFromCacheConfig } from './models';
import { CacheRegeneration } from './cache-regeneration';
import { NextFunction, Request, Response } from 'express';
import { ISRLogger } from './isr-logger';
export declare class ISRHandler {
    protected cache: CacheHandler;
    protected cacheRegeneration: CacheRegeneration;
    protected isrConfig: ISRHandlerConfig;
    protected readonly logger: ISRLogger;
    constructor(config?: ISRHandlerConfig);
    invalidate(req: Request, res: Response, config?: InvalidateConfig): Promise<any>;
    serveFromCache(req: Request, res: Response, next: NextFunction, config?: ServeFromCacheConfig): Promise<any>;
    render(req: Request, res: Response, next: NextFunction, config?: RenderConfig): Promise<any>;
}
